[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCacheSlot

Record representing 1 item in the cache list.

## Declaration

Source position: cachecls.pp line 45

`type TCacheSlot = record`
`Prev: PCacheSlot;` |  | Pointer to previous element in the list.
`Next: PCacheSlot;` |  | Pointer to next element in the list.
`Data: Pointer;` |  | Data pointer for this item.
`Index: Integer;` |  | Index in the list.
`end;`

## Description

TCacheSlot is internally used by the TCache class. It represents 1 element in the linked list.

## See also

TCache |  | Cache class
PCacheSlot |  | Pointer to TCacheSlot record.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.